import request from '@/utils/request'
  /***
   *    物流相关接口
   * 
   * * */
// 获取列表
export function getTableList(parms) {
  return request({
    url: '/common/tender',
    method: 'get',
    params: parms
  })
}
// 获取列表
export function getQueryId(parms) {
  return request({
    url: '/logistics',
    // url: '/common/tender/logistics',
    method: 'get',
    params: parms
  })
}

// 获取列表
export function getLogisticsInfo(parms) {
  return request({
    url: '/bidding/logistics/info',
    method: 'get',
    params: parms
  })
}
// 已投递列表
export function getLogisticsList(parms) {
  return request({
    url: '/logistics/tender',
    method: 'get',
    params: parms
  })
}

// 修改列表
export function getQueryEdit(parms) {
  return request({
    url: '/bidding/update',
    method: 'post',
    data: parms
  })
}
// 添加列表
export function getQueryAdd(parms) {
  return request({
    url: '/bidding/logistics',
    method: 'post',
    data: parms
  })
}


// 下载
export function loadCustomer(parms) {
  return request({
    url: '/bidding/load',
    method: 'get',
    params: parms
  })
}


/**
 * 获取客户
 * 
 * ** */

export function getCustomerName(parms) {
  return request({
    url: '/customer/customerName',
    method: 'get',
    params: parms
  })
}


/**
 * 
 *     销售相关接口
 * 
  * **/

 // 获取列表   --  销售
export function getSaleId(parms) {
  return request({
    url: '/tender/sale/page',
    // url: '/common/tender/logistics',
    method: 'get',
    params: parms
  })
}

// 添加列表
export function getSaleAdd(parms) {
  return request({
    url: '/bidding/sale',
    method: 'post',
    data: parms
  })
}
// 已投递列表
export function getBiddingSaleList(parms) {
  return request({
    url: '/tender/sale',
    method: 'get',
    params: parms
  })
}
// 标的详情
export function getBiddingSaleInfo(parms) {
  return request({
    url: '/bidding/sale',
    method: 'get',
    params: parms
  })
}
/**
 *   原料相关接口
 * 
 * * */

export function getTenderRaw(parms) {
  return request({
    url: '/tender/raw',
    // url: '/common/tender/logistics',
    method: 'get',
    params: parms
  })
}

// 添加列表
export function getRawAdd(parms) {
  return request({
    url: '/bidding/raw',
    method: 'post',
    data: parms
  })
}
// 已投递列表
export function getTenderRawList(parms) {
  return request({
    url: '/tender/raw/info',
    method: 'get',
    params: parms
  })
}
// 标的详情
export function getBiddingRowInfo(parms) {
  return request({
    url: ' /bidding/raw',
    method: 'get',
    params: parms
  })
}
/**
 * 加工承揽
 * 
 * ** */

export function getTenderProcessing(parms) {
  return request({
    url: '/tender/processing',
    // url: '/common/tender/logistics',
    method: 'get',
    params: parms
  })
}

// 添加列表 (报价)
export function getBiddingAdd1(parms) {
  return request({
    url: '/processing/quoted',
    method: 'post',
    data: parms
  })
}
export function getBiddingAdd2(parms) {
  return request({
    url: '/processing/enquiry',
    method: 'post',
    data: parms
  })
}
export function getBiddingAdd(parms) {
  return request({
    url: '/bidding/processing',
    method: 'post',
    data: parms
  })
}


// 已投递列表
export function getTenderInfoList(parms) {
  return request({
    url: '/tender/processing/info',
    method: 'get',
    params: parms
  })
}

// 标的详情
export function getBiddingList(parms) {
  return request({
    url: '/bidding/processing',
    method: 'get',
    params: parms
  })
}
